American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
StatisticsGathererSome< T > Class Template Reference

Collects all objects of interest with paths moving through the specified nodes. More...

`#include <some.h>`

Inheritance diagram for StatisticsGathererSome< T >:

List of all members.

## Public Member Functions
virtual void | dump_result (const size_t t, const size_t k, const T &object)
size_t | node (const size_t t, const size_t k) const
| operator StatisticsGathererInitial< T > () const
| operator T () const
T & | operator() (const size_t t, const size_t k)
StatisticsGathererPath< T > | operator() (const std::vector< size_t > &path) const
T | operator() (const size_t t, const size_t k) const
std::vector< T > | operator[] (const size_t t) const
std::vector< T > & | operator[] (const size_t t)
size_t | size (const size_t t) const
size_t | size () const
| StatisticsGathererSome (const std::vector< std::vector< size_t > > &path)

## Detailed Description

### template<class T>
class StatisticsGathererSome< T >

Collects all objects of interest with paths moving through the specified nodes.

## Constructor & Destructor Documentation

template<class T>

StatisticsGathererSome< T >::StatisticsGathererSome | ( | const std::vector< std::vector< size_t > > & | path | ) | `[inline]`

Constructor.

Parameters:

  path | Information is gathered for this collection of nodes. Any element path[t][k] is a node at the -th time step.

## Member Function Documentation

template<class T>

virtual void StatisticsGathererSome< T >::dump_result | ( | const size_t | t,
|  | const size_t | k,
|  | const T & | object
| ) |  | `[inline, virtual]`

Collects intance of object T at time t at node k.

Reimplemented from StatisticsGatherer< T >.

template<class T>

size_t StatisticsGathererSome< T >::node | ( | const size_t | t,
|  | const size_t | k
| ) |  | const`[inline]`

Node number k at time step t.

template<class T>

StatisticsGathererSome< T >::operator StatisticsGathererInitial< T > | ( |  | ) | const`[inline]`

template<class T>

StatisticsGathererSome< T >::operator T | ( |  | ) | const`[inline]`

template<class T>

StatisticsGathererPath<T> StatisticsGathererSome< T >::operator() | ( | const std::vector< size_t > & | path | ) | const`[inline]`

template<class T>

T& StatisticsGathererSome< T >::operator() | ( | const size_t | t,
|  | const size_t | k
| ) |  | `[inline]`

template<class T>

T StatisticsGathererSome< T >::operator() | ( | const size_t | t,
|  | const size_t | k
| ) |  | const`[inline]`

template<class T>

std::vector<T>& StatisticsGathererSome< T >::operator[] | ( | const size_t | t | ) | `[inline]`

template<class T>

std::vector<T> StatisticsGathererSome< T >::operator[] | ( | const size_t | t | ) | const`[inline]`

template<class T>

size_t StatisticsGathererSome< T >::size | ( | const size_t | t | ) | const`[inline]`

Number of steps.

template<class T>

size_t StatisticsGathererSome< T >::size | ( |  | ) | const`[inline]`

Number of steps.

The documentation for this class was generated from the following file:

- statisticsgatherer/some.h

All Classes Namespaces Files Functions Variables Typedefs Defines